#!/usr/bin/env python

from conn_check_configs.django import *  # noqa

STATSD_CHECK['send'] = 'Hakuna'
STATSD_CHECK['expect'] = 'Matata'

def make_http_checks(settings, options):
    checks = []
    urls = (
        (
            settings['OPENID_SSO_SERVER_URL'],
            '',
            200,
            'HEAD',
        ),
        (
            settings['CLICK_INDEX_API_URI'],
            '/search',
            200,
            'HEAD',
        ),
        (
            settings['SCA_HOST_URL'],
            '',
            302,
            'GET',
        ),
    )

    for url in urls:
        if not url[0]:
            continue

        checks.append({
            'type': 'http',
            'url': '{0}{1}'.format(url[0], url[1]),
            'method': url[3],
            'expected_code': url[2],
        })

    return checks

EXTRA_CHECK_MAKERS.append(make_http_checks)


if __name__ == '__main__':
    run()
